# Generated from rubocop-brickdoc-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop-brickdoc

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Brickdoc LTD's style guide for Ruby
License: MIT
URL: https://brickdoc.jimu.zone/engineering/styleguide/ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Gem containing the rubocop.yml config that corresponds to the implementation
of the Brickdoc LTD's style guide for Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/rubocop-cli.yml
%{gem_instdir}/rubocop.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.0-1
- Initial package
